Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026151
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-04-02 16:262018-06-25 19:24
ReporterjecharriView Statuspublic 
Assigned Toszapata 
PriorityhighResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revisionccfc07471239
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToOrekaria
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026151: UPC/EAN field does not support "-" character

DescriptionUPC/EAN field does not support "-" character
Steps To Reproduce-create a bardcode with "-" character
-read the bardcode

Web POS is going to try the bardcode without "-" character
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038843 closedrqueralta UPC/EAN field does not support "-" character 

-  Notes
(0067277)
hgbot (developer)
2014-05-19 21:28

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 365430fb290457dbd413120f12048a0f73429579
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 19 16:27:08 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/365430fb290457dbd413120f12048a0f73429579 [^]

Fixed issue 26151: UPC/EAN field does not support - character. Now it will be needed to select button UPC/EAN to scan codes with command characters

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0067290)
hgbot (developer)
2014-05-20 08:50

Repository: erp/pmods/org.openbravo.mobile.core.unstablenetworks
Changeset: 365430fb290457dbd413120f12048a0f73429579
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 19 16:27:08 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.unstablenetworks/rev/365430fb290457dbd413120f12048a0f73429579 [^]

Fixed issue 26151: UPC/EAN field does not support - character. Now it will be needed to select button UPC/EAN to scan codes with command characters

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0067445)
marvintm (developer)
2014-05-26 13:13

This line in the changeset is wrong:

var upcButton = OB.OBPOSPointOfSale.UI.ToolbarScan.upcean;

There cannot be any reference to the Web POS from mobile.core. The good news is that it seems it doesn't do any useful work anyway, so it can be removed.

The functionality itself seems to work fine.
(0067446)
hgbot (developer)
2014-05-26 13:31

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 7d2df55dec88c3fc219939fffe27290bd98c2649
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 26 08:30:59 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7d2df55dec88c3fc219939fffe27290bd98c2649 [^]

Fixed issue 26151: Deleted unuseful code

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0067580)
hgbot (developer)
2014-05-29 21:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 07089d7c126942ca2d384e3da2cfe50c20893a77
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 19 16:28:23 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/07089d7c126942ca2d384e3da2cfe50c20893a77 [^]

Fixed issue 26151: UPC/EAN field does not support - character. Now it will be needed to select button UPC/EAN to scan codes with command characters

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0067623)
Orekaria (administrator)
2014-05-30 13:17

wrongly reopened
(0068116)
hgbot (developer)
2014-06-18 14:01

Repository: erp/pmods/org.openbravo.mobile.core.cds
Changeset: 221a1735d6b14f8fe54d986f264ab045b68575be
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 19 16:27:08 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cds/rev/221a1735d6b14f8fe54d986f264ab045b68575be [^]

Fixed issue 26151: UPC/EAN field does not support - character. Now it will be needed to select button UPC/EAN to scan codes with command characters

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0068117)
hgbot (developer)
2014-06-18 14:01

Repository: erp/pmods/org.openbravo.mobile.core.cds
Changeset: 512af7ff49f926c9f40e129e8bf7f43748482856
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 26 08:30:59 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cds/rev/512af7ff49f926c9f40e129e8bf7f43748482856 [^]

Fixed issue 26151: Deleted unuseful code

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0068119)
hgbot (developer)
2014-06-18 14:02

Repository: erp/pmods/org.openbravo.retail.posterminal.cds
Changeset: ccfc07471239575dbaef558128993150a38f3535
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon May 19 16:28:23 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/ccfc07471239575dbaef558128993150a38f3535 [^]

Fixed issue 26151: UPC/EAN field does not support - character. Now it will be needed to select button UPC/EAN to scan codes with command characters

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0068207)
mtaal (manager)
2014-06-20 09:19

Incorrectly opened by hgbot

- Issue History
Date Modified Username Field Change
2014-04-02 16:26 jecharri New Issue
2014-04-02 16:26 jecharri Assigned To => marvintm
2014-04-02 16:26 jecharri Triggers an Emergency Pack => No
2014-05-19 21:28 hgbot Checkin
2014-05-19 21:28 hgbot Note Added: 0067277
2014-05-19 21:28 hgbot Status new => resolved
2014-05-19 21:28 hgbot Resolution open => fixed
2014-05-19 21:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/365430fb290457dbd413120f12048a0f73429579 [^]
2014-05-20 08:50 hgbot Checkin
2014-05-20 08:50 hgbot Note Added: 0067290
2014-05-20 08:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/365430fb290457dbd413120f12048a0f73429579 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.unstablenetworks/rev/365430fb290457dbd413120f12048a0f73429579 [^]
2014-05-26 13:13 marvintm Assigned To marvintm => szapata
2014-05-26 13:13 marvintm Note Added: 0067445
2014-05-26 13:13 marvintm Status resolved => new
2014-05-26 13:13 marvintm Resolution fixed => open
2014-05-26 13:31 hgbot Checkin
2014-05-26 13:31 hgbot Note Added: 0067446
2014-05-26 13:31 hgbot Status new => resolved
2014-05-26 13:31 hgbot Resolution open => fixed
2014-05-26 13:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.unstablenetworks/rev/365430fb290457dbd413120f12048a0f73429579 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7d2df55dec88c3fc219939fffe27290bd98c2649 [^]
2014-05-26 17:32 marvintm Review Assigned To => marvintm
2014-05-26 17:32 marvintm Status resolved => closed
2014-05-26 17:32 marvintm Fixed in Version => RR14Q3
2014-05-29 21:19 hgbot Checkin
2014-05-29 21:19 hgbot Note Added: 0067580
2014-05-29 21:19 hgbot Status closed => resolved
2014-05-29 21:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7d2df55dec88c3fc219939fffe27290bd98c2649 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/07089d7c126942ca2d384e3da2cfe50c20893a77 [^]
2014-05-30 13:17 Orekaria Review Assigned To marvintm => Orekaria
2014-05-30 13:17 Orekaria Note Added: 0067623
2014-05-30 13:17 Orekaria Status resolved => closed
2014-06-18 14:01 hgbot Checkin
2014-06-18 14:01 hgbot Note Added: 0068116
2014-06-18 14:01 hgbot Status closed => resolved
2014-06-18 14:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/07089d7c126942ca2d384e3da2cfe50c20893a77 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cds/rev/221a1735d6b14f8fe54d986f264ab045b68575be [^]
2014-06-18 14:01 hgbot Checkin
2014-06-18 14:01 hgbot Note Added: 0068117
2014-06-18 14:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cds/rev/221a1735d6b14f8fe54d986f264ab045b68575be [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cds/rev/512af7ff49f926c9f40e129e8bf7f43748482856 [^]
2014-06-18 14:02 hgbot Checkin
2014-06-18 14:02 hgbot Note Added: 0068119
2014-06-18 14:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cds/rev/512af7ff49f926c9f40e129e8bf7f43748482856 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/ccfc07471239575dbaef558128993150a38f3535 [^]
2014-06-20 09:19 mtaal Note Added: 0068207
2014-06-20 09:19 mtaal Status resolved => closed
2018-06-25 19:24 eugeni Issue Monitored: eugeni
2018-06-26 16:51 anderaranguren Relationship added related to 0038843


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker